commit:     9f4d46a13ed4b223866c50e109f5c51488fc6bd9
Author:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 19 21:09:24 2022 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Tue Apr 19 21:09:24 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9f4d46a1

scripts/bootstrap.sh: do not attempt to trap SIGKILL

Closes: https://bugs.gentoo.org/839162
Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>

 scripts/bootstrap.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/scripts/bootstrap.sh b/scripts/bootstrap.sh
index a84263ba448e..0c0d6062a789 100755
--- a/scripts/bootstrap.sh
+++ b/scripts/bootstrap.sh
@@ -172,7 +172,7 @@ pycmd() {
 }
 
 # TSTP messes ^Z of bootstrap up, so we don't trap it anymore.
-trap "cleanup" TERM KILL INT QUIT ABRT
+trap "cleanup" TERM INT QUIT ABRT
 
 # Bug #50158 (don't use `which` in a bootstrap).
 if ! type -path portageq &>/dev/null ; then

Reply via email to